# XQilla Simple API Documentation

# StackFrame Class Reference

A class that represents an item in a query call stack. More...

`#include <StackFrame.hpp>`

List of all members.

## Public Member Functions

virtual | ~StackFrame ()
const LocationInfo * | getLocationInfo () const
const StackFrame * | getPreviousFrame () const
virtual Sequence | query (const XMLCh *query) const
virtual void | query (const XMLCh *query, EventHandler *events) const
virtual const ASTNode * | getASTNode () const =0
virtual const TupleNode * | getTupleNode () const =0
virtual std::string | getQueryPlan () const =0

## Protected Member Functions

| StackFrame (const LocationInfo *location, DynamicContext *context)

## Protected Attributes

const LocationInfo * | location_
DynamicContext * | context_
Item::Ptr | contextItem_
size_t | contextPosition_
size_t | contextSize_
const VariableStore * | variables_
const xercesc::DOMXPathNSResolver * | nsResolver_
const XMLCh * | defaultElementNS_
const StackFrame * | prev_

## Detailed Description

A class that represents an item in a query call stack.

## Constructor & Destructor Documentation

virtual StackFrame::~StackFrame | ( |  | ) | `[inline, virtual]`

StackFrame::StackFrame | ( | const LocationInfo * | location,
|  | DynamicContext * | context |
| ) |  |  | `[protected]`

## Member Function Documentation

virtual const ASTNode* StackFrame::getASTNode | ( |  | ) | const`[pure virtual]`

const LocationInfo* StackFrame::getLocationInfo | ( |  | ) | const`[inline]`

const StackFrame* StackFrame::getPreviousFrame | ( |  | ) | const`[inline]`

virtual std::string StackFrame::getQueryPlan | ( |  | ) | const`[pure virtual]`

virtual const TupleNode* StackFrame::getTupleNode | ( |  | ) | const`[pure virtual]`

virtual void StackFrame::query | ( | const XMLCh * | query,
|  | EventHandler * | events |
| ) |  |  | const`[virtual]`

virtual Sequence StackFrame::query | ( | const XMLCh * | query | ) | const`[virtual]`

## Member Data Documentation

DynamicContext* StackFrame::context_ `[protected]`

Item::Ptr StackFrame::contextItem_ `[protected]`

size_t StackFrame::contextPosition_ `[protected]`

size_t StackFrame::contextSize_ `[protected]`

const XMLCh* StackFrame::defaultElementNS_ `[protected]`

const LocationInfo* StackFrame::location_ `[protected]`

const xercesc:: DOMXPathNSResolver* StackFrame::nsResolver_ `[protected]`

const StackFrame* StackFrame::prev_ `[protected]`

const VariableStore* StackFrame::variables_ `[protected]`

The documentation for this class was generated from the following file:

- StackFrame.hpp